import * as _chakra_ui_system from '@chakra-ui/system';
import { HTMLChakraProps } from '@chakra-ui/system';

interface SpacerProps extends HTMLChakraProps<"div"> {
}
/**
 * A flexible flex spacer that expands along the major axis of its containing flex layout.
 * It renders a `div` by default, and takes up any available space.
 *
 * @see Docs https://chakra-ui.com/flex#using-the-spacer
 */
declare const Spacer: _chakra_ui_system.ChakraComponent<"div", {}>;

export { Spacer, SpacerProps };
